/*
  Copyright (C) MOXA Inc. All rights reserved.
  This software is distributed under the terms of the
  MOXA License.  See the file COPYING-MOXA for details.
*/

// udpserverDlg.h : header file
//

#if !defined(AFX_UDPSERVERDLG_H__B25512C6_942C_11D6_A76B_0050BAE51080__INCLUDED_)
#define AFX_UDPSERVERDLG_H__B25512C6_942C_11D6_A76B_0050BAE51080__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CUdpserverDlg dialog

class CUdpserverDlg : public CDialog
{
// Construction
public:
	DWORD	m_recverr;
	DWORD	m_senderr;
	int m_errflag;
	CWinThread *m_pthread;
	void UpdateButton();
	struct sockaddr_in m_sockinfo;
	struct sockaddr_in m_sockinfocli;
	SOCKET m_sock;
	BOOL m_startflag;
	CUdpserverDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CUdpserverDlg)
	enum { IDD = IDD_UDPSERVER_DIALOG };
	CString	m_port;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUdpserverDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CUdpserverDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UDPSERVERDLG_H__B25512C6_942C_11D6_A76B_0050BAE51080__INCLUDED_)
